nameOverride: ""
fullnameOverride: ""

configMaps: []
  # - name: my-config
  #   annotations: {}
  #   mountPath: /path/to/mount
  #   files:
  #     config.yaml: |
  #       option.1
  #       option.2

customCertificates: []
  # - name: my-certificate
  #   annotations: {}
  #   mountPath: /path/to/mount
  #   issuer: micham-mooneyham-k8s-ca
  #   dnsNames:
  #     - first.name
  #     - second.name

deployment:
  enabled: true

  initContainers: []
    # name: ""
    #
    # command: []
    #
    # env: []
    # Intended to be used during kustomize hydration
    # extraEnv: []
    #
    # image:
    #   repository: harbor.k8s.licham.io/kubernetes-images
    #   image: nginx
    #   tag: ""

  command: []

  env: []
  # Intended to be used during kustomize hydration
  extraEnv: []

  image:
    repository: harbor.k8s.licham.io/kubernetes-images
    image: nginx
    pullPolicy: IfNotPresent
    tag: ""

  podAnnotations: {}
  podLabels: {}
  podSecurityContext: {}

  probes:
    enabled: true
    auto:
      enabled: true
      port: http-web-svc
      path: /
    livenessProbe: {}
    readinessProbe: {}

  resources: {}
    # limits:
    #   cpu: 100m
    #   memory: 128Mi
    # requests:
    #   cpu: 100m
    #   memory: 128Mi

  scheduling:
    affinity: {}
    nodeSelector: {}
    tolerations: {}

  securityContext:
    capabilities:
      drop:
        - ALL
    readOnlyRootFilesystem: true
    runAsNonRoot: true
    runAsUser: 1000

  # Change to Recreate to kill the old pod before starting a new one
  strategy: RollingUpdate

  replicas: 1

  volumes: []
  # - name: foo
  #   emptyDir: {}

  volumeMounts: []
  # - name: foo
  #   mountPath: "/etc/foo"
  #   readOnly: true

persistentStorage: []
  # - name: my-volume
  #   annotations: {}
  #   accessMode: ReadWriteOnce | ReadWriteMany
  #   size: 1Gi
  #   storageClass: HOST-TYPE-BACKEND-csi
  #   mountPath: /path/to/mount
  #   cloudBackup: false
  #   networkShare: false

vaultStaticSecrets:
  cluster: MISSING_VALUES
  labels: {}
  annotations: {}
  refresh: 300s

  env: []
  # - name: my-secret
  #   vars:
  #     - MY_ENV_VAR
  mount: []
  # - name: my-secret
  #   mountPath: /path/to/mount

serviceAccount:
  create: true
  automount: true
  annotations: {}
  name: ""

service:
  enabled: false
  annotations: {}
  # Change to LoadBalancer if not using ingress for external access
  type: ClusterIP
  ports:
    - port: 80
      targetPort: 8080
      protocol: TCP
      name: http-web-svc

ingress:
  enabled: false
  className: "nginx-internal"
  annotations: {}
    # cert-manager.io/cluster-issuer: micham-mooneyham-k8s-ca
  hostnames: []
  port: 80

cloudBackup:
  enabled: false
  bucket: MISSING_VALUES
  command:
    - /usr/local/bin/aws
    - s3
    - sync
    - /source
    - 's3://$(S3_BUCKET)'
    - '--no-follow-symlinks'
    - '--storage-class'
    - DEEP_ARCHIVE
    - '--delete'
  dryRun: false
  image:
    repository: docker.io/amazon
    image: aws-cli
    pullPolicy: IfNotPresent
    tag: 2.15.7
  irsa:
    prefix: arn:aws:iam::014414320756:role
    region: us-west-2
    role: MISSING_VALUES
  jobHistory:
    success: 3
    failed: 3
  schedule: "0 10 * * *" # UTC

networkShare:
  enabled: false

  hostname: MISSING_VALUES

  image:
    repository: harbor.k8s.licham.io/kubernetes-images
    pullPolicy: IfNotPresent
    tag: "v1.0.2"
    sambaImage: "fileshare-samba"
    sssdImage: "fileshare-sssd"
